// components/home/home.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    list:{
      type:Array,
      value:null
    },
    data:{
      type:Object,
      value:null,
    },
    city:{
      type:String,
      value:null
    },
    isLoading:{
      type:Boolean,
      value:false
    }
  },

  /**
   * 组件的初始数据
   */
  data: {
    videoSrc:null,
    poster:null,
    hidden:true,
    index:0
  },

  /**
   * 组件的方法列表
   */
  methods: {
    tapSearchAction:function() {
      wx.navigateTo({
        url: '/pages/search/search'
      });
    },

    tapHouseAction:function (e) {
      let {currentId} = e.currentTarget.dataset;
      wx.navigateTo({
        url: `/pages/houseDetail/houseDetail?id=${currentId}`
      });
    },
  
    tapMoreAction:function() {
      wx.navigateTo({
        url: '/pages/moreTV/moreTV'
      });
    },

    tapMoreHouse:function () {
      wx.navigateTo({
        url: '/pages/houseList/houseList'
      });
    },

    tapCityAction:function () {
      wx.navigateTo({
        url: '/pages/citySelect/citySelect'
      });
    },
    tapVideoAction:function(e) {
      const {currentItem} = e.currentTarget.dataset;
      const {videoUrl,videoImg} = currentItem;
      if (videoUrl && videoUrl.length) {
        this.setData({
          videoSrc:videoUrl,
          poster:videoImg,
          hidden:false
        })
      }
    },

    hiddenVideoToast:function () {
      this.setData({
        videoSrc:null,
        poster:null,
        hidden:true
      })
    },

    onSlideChangeEnd:function(e) {
      this.data.index = e.detail.current;
    },

  }
})
