const net = require('../../utils/net.js');
const util = require('../../utils/util.js');
const {
  api_all_house,
  api_house_item_detail
} = require('../../utils/api.js');
Page({

  /**
   * 页面的初始数据
   */
  data: {
    id:null,
    isLoading:true,
    selectIndex:0,
    rentModel:null,
    roomList:null,
    houseData:null,
    detailData:null,
    hiddenMask:true,
    bannerData:null,
    current:0,
    userInfo:null,
    selectItem:null,
    selectIdx:null
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    if (options && options.data) {
      this.data.houseData = JSON.parse(options.data);
      this.data.id = this.data.houseData.id;
      this.getAllHouselist();
    }

    const userInfo = util.getStorageSync("userInfo");
    if (userInfo) {
      this.setData({
        userInfo:userInfo
      })
    }
  },

  changeTabAction:function(e) {
    let{selectIndex} = e.currentTarget.dataset
    this.setData({
      selectIndex:parseInt(selectIndex)
    })
  },

  getAllHouselist:function () {
    let params = {};
    params.url = api_all_house;
    params.data={id:this.data.id};
    net.req(params, true).then((data) => {
      this.dealWithData(data)
    }, (e) => {
      this.setData({
        isLoading:false,
      });
    });
  },
  
  
  showRoomDetailAction:function (e) {
    const data = this.data.roomList[this.data.selectIndex];
    const {currentIndex,idx} = e.currentTarget.dataset;
    const {roomId} = data[currentIndex];
   
    let params = {};
    params.url = api_house_item_detail;
    params.data={roomId:roomId};
    net.req(params, true).then((data) => {
      this.setData({
        detailData:data,
        hiddenMask:false,
        selectItem:currentIndex,
        selectIdx:idx,
        current:0
      });
      this.dealWithBannerData(data);
    }, (e) => {
      
    });
  },

  dealWithBannerData:function (data) {
    let {photos} = data,tmp = new Array();
      if (photos) {
        if (photos.images && photos.images.length) {
          tmp = tmp.concat(photos.images);
        }

        if (photos.videos && photos.videos.length) {
          tmp = tmp.concat(photos.videos);
        }

        this.setData({
          bannerData:tmp
        });
      }

  },

  dealWithData:function(data) {
    let {rentModel,roomList} = data,rList = new Array();
    for(let i = 0,n = rentModel.length; i < n; i ++) {
       const fname = rentModel[i];
       for(let j = 0,m = roomList.length; j < m; j ++) {
          const {name,list} = roomList[j]
           if (fname == name) {
              rList.push(list)
           }
        }
    }
    this.setData({
      isLoading:false,
      rentModel:rentModel,
      roomList:rList
    })
  },

  applyRoomAction:function (e) {   
    if (this.data.userInfo) {
      wx.navigateTo({
        url: '/pages/applyReserve/applyReserve?data=' + JSON.stringify(this.data.houseData)
      });
    } else {
      wx.navigateTo({
        url: '/pages/login/login'
      });
    }
   
  },

  closeAction:function () {
    this.setData({
      hiddenMask:true
    });
  },
  bindchange:function(e) {
    let {current} = e.detail;
    this.setData({
      current:current 
    })
  },

  showRentTimeAction:function (e) {
    const {currentIndex,idx} = e.currentTarget.dataset;
    const data = this.data.roomList[idx][currentIndex];
    data.isShow = !data.isShow;
    this.data.roomList[idx][currentIndex] = data

    this.setData({
      roomList:this.data.roomList,
      hiddenMask:true
    })
  },

  hiddenMaskAction:function () {
    this.setData({
      hiddenMask:true
    })
  },

  // 为了解决点击事件透传，最外层添加无用的点击方法
  tapAction:function() {

  }

})