const {
  api_get_cities
} = require('../../utils/api.js');
const util = require('../../utils/util.js');
const net = require('../../utils/net.js');
Page({

  /**
   * 页面的初始数据
   */
  data: {
    isLoading: true,
    dataArr: null,
    citySelectObj: null,
    baseData: null
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    let {
      citySelectObj
    } = this.data;
    citySelectObj = util.getStorageSync('citySelectObj');
    this.setData({
      citySelectObj
    }, () => {
      this.loadData();
    });
  },

  handleCitySelect: function(e) {
    let {
      countryItem,
      cityItem
    } = e.currentTarget.dataset;
    wx.setStorageSync('countrySelectObj', countryItem);
    wx.setStorageSync('citySelectObj', cityItem);

    wx.reLaunch({
      url: '/pages/index/index'
    });
  },

  loadData: function() {
    let params = {};
    params.url = api_get_cities;
    net.req(params, true).then((data) => {
      this.setData({
        isLoading: false
      });
      
      this.adapter(data);
    }, (e) => {
      this.setData({
        isLoading: false,
        dataArr: []
      });
    });
  },
  adapter: function(arr) {
    if (!arr || !Array.isArray(arr) || arr.length === 0) {
      this.setData({
        dataArr: []
      });
      return false;
    }
    this.setData({
      dataArr: arr,
      baseData:arr
    });
  },

  bindSearch(e) {
    let dataArr = []
    let value = e.detail.value
    let reg = new RegExp(value);
    this.data.baseData.forEach((val) => {
      let arr = []
      let obj = {}
      val.son && val.son.forEach((subVal) => {
        if (subVal.name.match(reg)) {
          arr.push(subVal)
        }
      })
      if (arr.length) {
        obj = val
        obj.son = arr
        dataArr.push(obj)
      }
    })
    this.setData({
      dataArr
    })
  }

})