const net = require('../../utils/net.js');
const util = require('../../utils/util.js');
const {
  api_video_hit
} = require('../../utils/api.js');
Page({

  /**
   * 页面的初始数据
   */
  data: {
    data:null,
    selectIndex:0,
    videoSrc:null,
    hidden:true,
    poster:null,
    userInfo:null
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    if (options && options.data) {
      const data = JSON.parse(decodeURIComponent(options.data));

      let index = 0;
      console.log(data.photos.videos.length)
      if (data.photos.videos.length == 0) {
        index = 1;
      }

      this.setData({
        data:data,
        selectIndex:index

      })
    }

    const userInfo = util.getStorageSync("userInfo");
    if (userInfo) {
      this.setData({
        userInfo:userInfo
      })
    }
  },
  onReady: function(){
    wx.setNavigationBarTitle({
      title: '预览',
    })
  },

  tapAction:function () {
    this.setData({
      selectIndex:!this.data.selectIndex
    })
  },

  tapVideoAction:function(e) {
      const {currentIndex} = e.currentTarget.dataset;
      const obj = this.data.data.photos.videos[currentIndex];
      this.hitVideoSee(obj.id);

      this.setData({
        videoSrc:obj.videoUrl,
        poster:obj.imageUrl,
        hidden:false
      })
  },

  hitVideoSee:function(videoId) {
    let params = {};
    params.url = api_video_hit;
    params.data={
      id:videoId
    };
    net.req(params, true).then((data) => {
    }, (e) => {
    });
  },

  hiddenVideoToast:function () {
    this.setData({
      videoSrc:null,
      poster:null,
      hidden:true
    })
  },

  applyRoomAction:function (e) {   
    if (this.data.userInfo) {
      let data = this.data.data;
      let params = {
        countryId:data.countryId,
        cityId:data.cityId,
        name:data.name,
        rentTime:data.rentTime,
        moneyUnit:data.moneyUnit,
        price:data.price,
        rentTimeUnit:data.rentTimeUnit,
        rentNum:data.rentNum,
        applyText:data.applyText,
        id:data.id
      }
      
      
      if (data.photos && data.photos.images && data.photos.images.length) {
        params.imgObj = data.photos.images[0];
      }
      wx.navigateTo({
        url: '/pages/applyReserve/applyReserve?data=' + JSON.stringify(params)
      });
    } else {
      wx.navigateTo({
        url: '/pages/login/login'
      });
    }
   
  },
})