const {
  api_search_house
} = require('../../utils/api.js');
const util = require('../../utils/util.js');
const net = require('../../utils/net.js');
Page({

  /**
   * 页面的初始数据
   */
  data: {
    dataArr:null,
    searchKey:''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  bindSearch:function (e) {
    let {value} = e.detail;
    if (value && value.length) {
      this.data.searchKey = value;
      let params = {};
      params.url = api_search_house;
      params.data = {
        key:value,
        program:"miniprogram"
      };
      net.req(params, true).then((data) => {
        this.dealWithData(data)
      }, (e) => {
        this.setData({
          dataArr: []
        });
      });
    }
    
  },


  dealWithData:function(arr) {
    if(!arr || !Array.isArray(arr) || arr.length === 0) {
      return false
    }
    const s=`<b style="color:#FF523D;font-size:16px">${this.data.searchKey}</b>`;
    const reg = new RegExp(this.data.searchKey,'gi')
    arr.forEach((val,i) => {
      let {name} = val;
      if (name) {
        val.sname = name.replace(reg,s)
      }
    })
    this.setData({
      dataArr: arr
    });
  },

  tapItemAction:function (e) {
    let{currentIndex} = e.currentTarget.dataset;

    const obj = this.data.dataArr[currentIndex];
    if (obj.type == 1 ) {
      wx.navigateTo({
        url: `/pages/houseList/houseList?id=${obj.id}&cityId=${obj.cityId}&type=${obj.type}`
      })
    } else if (obj.type == 2) {
      wx.navigateTo({
        url: `/pages/houseList/houseList?id=${obj.id}&cityId=${obj.cityId}&type=${obj.type}`
      })
    } else if (obj.type == 3) {
      wx.navigateTo({
        url: `/pages/houseDetail/houseDetail?id=${obj.id}&cityId=${obj.cityId}`
      })
    }
    
  }

})